Up

# NSPrintPanel

### Authors

Adam Fedor (`fedor@gnu.org`)

> Standard panel for querying user about printing.

Copyright: (C) 2001 Free Software Foundation, Inc.

# Class Description

NSPrintPanel provides a standard print panel allowing the user to specify information about how a document is to be printed, including the page range, number of copies and scale of the document. It also allows the user to save the document to a file or preview it. When a print: message is sent to an NSView or NSWindow, an NSPrintOpertation is created which manages printing of a view. The NSPrintOperation object would by default show a print panel in a modal loop for the user. You can avoid showing the print panel by sending the setShowsPanels: message in the print operation with a `NO` argument.

## NSPrintPanel : NSPanel

> Declared in:
>   AppKit/NSPrintPanel.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +printPanel
- -accessoryView
- -beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:
- -finalWritePrintInfo
- -pickedAllPages:
- -pickedButton:
- -pickedLayoutList:
- -runModal
- -setAccessoryView:
- -updateFromPrintInfo

### printPanel

+ (NSPrintPanel*) printPanel;

Creates and returns a shared instance of the NSPrintPanel panel.

### accessoryView

- (NSView*) accessoryView;

Returns the accessory view for the print panel

### beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:

- (void) beginSheetWithPrintInfo: (NSPrintInfo*)printInfo modalForWindow: (NSWindow*)docWindow delegate: (id)delegate didEndSelector: (SEL)didEndSelector contextInfo: (void*)contextInfo;

Description forthcoming.

### finalWritePrintInfo

- (void) finalWritePrintInfo;

Saves information set by the user in the receiver's panel in the NSPrintInfo object from the current NSPrintOperation.

### pickedAllPages:

- (void) pickedAllPages: (id)sender;

This method has been depreciated. It doesn't do anything useful.

### pickedButton:

- (void) pickedButton: (id)sender;

This method has been depreciated. It doesn't do anything useful.

### pickedLayoutList:

- (void) pickedLayoutList: (id)sender;

This method has been depreciated. It doesn't do anything useful.

### runModal

- (int) runModal;

Display the Print panel in a modal loop. Saves any aquired information in the NSPrintInfo object for the current NSPrintOperation. Returns NSCancelButton if the user clicks the Cancel button or NSOKButton otherwise. Unlike other panels, this one does not order itself out after the modal session is finished. You must do that yourself.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;

Set the accessory view for the print panel

### updateFromPrintInfo

- (void) updateFromPrintInfo;

Setup the display in the receiver's panel based on the values stored in the NSPrintInfo object from the current NSPrintOperation.

Up